function [ Fzero ] = Fzero(z,R,qvec,R_min,R_tilde,sigma,beta,tau)
% Solve for the equilibrium F_R given q_k
N = max(size(qvec));
q1=qvec(1);
sum_q_F =0;
for i=1:N;
    sum_q_F = sum_q_F+i*qvec(i)*z^(i-1);
end
Fzero = ((R_tilde - R).*(1-h(R,sigma,beta,tau))).*sum_q_F - (R_tilde - R_min).*(1-h(R_min,sigma,beta,tau)).*q1;
end

