function R_t  = R_tilde(qvec,sigma,R_min,R_max,betta, tau)
% Back out the marginal cost of funds
N = max(size(qvec));
sum_q = 0;
for i = 1:N
    sum_q = sum_q+i*qvec(i);
end
q1 = qvec(1);

h_min = h(R_min,sigma,betta,tau);
h_max = h(R_max,sigma,betta,tau);

NN = R_max*(1-h_max)*sum_q-R_min*(1-h_min)*q1;
DD =(1-h_max)*sum_q-(1-h_min)*q1; 
R_t = NN/DD;
end

