function [ phi ] = phi_R(R, sigma, beta, tau)
% Marginal utility of wealth phi_R
if sigma ~=1;
    phi = h(R, sigma, beta, tau).^(1./(1-sigma));
end
if sigma==1;
    phi = log(h(R, sigma, beta, tau))+beta^tau*log((1-h(R, sigma, beta, tau)).*R);
end
end


