function [ psi_prime_R ] = psi_prime(R,R_tilde, sigma, beta, tau)
% psi_prime: first derivative of the profit function
psi_prime_R = -(1-h(R, sigma, beta, tau)).*(1+(1-sigma)*(R_tilde-R).*h(R, sigma, beta, tau)./R);
end

