function D_k  = Delta_k(qvec,sigma,R_min,R_max,beta,tau,k)
% Critical values for the search cost distribution 
R_t = R_tilde(qvec,sigma,R_min,R_max,beta, tau);
R_zz = @(z) R_z(z,qvec,R_min,R_max,R_t, sigma, beta, tau);
phi_RR = @(R) phi_R(R, sigma, beta, tau);
integrand_z = @(z) phi_RR(R_zz(z)).*((k+1).*z-k).*z.^(k-1);
D_k = integral(integrand_z,0,1);
end

