function [ R_m ] = R_m(qvec,sigma,R_min,R_t,beta, tau)
% R_max as a function of qvec,R_min and R_tilde
N = max(size(qvec));
qsum = 0;
for k = 1:N
    qsum = qsum+k*qvec(k);
end
if sigma==1
    R_m = R_t - (R_t-R_min)*qvec(1)/qsum;
end

if sigma ~=1
    
   u = psi_R( R_min,R_t, sigma, beta, tau )*qvec(1)/qsum;
   R_m = psi_inv(u,R_t, sigma, beta, tau);
end
end

