function R = R_z(z,qvec,R_min, R_max,R_tilde, sigma, beta, tau)
% Inverse function of the equilibrium offer rate distribution
N = max(size(qvec));
sum_q = 0;
for i = 1:N;
    sum_q=sum_q+i.*z.^(i-1)*qvec(i);
end
G =  psi_R( R_min,R_tilde, sigma, beta, tau ).*qvec(1)./sum_q;
R = psi_inv(G,R_tilde,R_min,R_max, sigma, beta, tau);

end

